#include "Platform.h"
#include <string.h>
#include <stdio.h>
#include <time.h>
#include "WAHReader.h"
#include "BaseCommunication.h"

#include "memory_placements.h"

#define base CWAVReader

CWAHReader::CWAHReader(CReader *Owner, CBaseCommunication *Communicator)
	:base(Owner, Communicator)
{
}

CWAHReader::~CWAHReader(void)
{
}

void CWAHReader::SetHWString(char *String)
{
	strcpy(String, "WAH_");
}

void CWAHReader::GetProductString(uint8_t *Product)
{
	memcpy(Product, "CJWAH", 5);
}
